package org.opensourcephysics.tuleja.orbits;
import org.opensourcephysics.numerics.*;

public interface OrbitODE extends ODE {
   public void setIC(double r, double theta, double phi, double vR, double vTheta, double vPhi);
   public void setT(double t);
   public double getR();
   public double getPhi();
   public double getTheta();
   public double getVR();
   public double getVTheta();
   public double getVPhi();
   public double getT();
   public double getX();
   public double getY();
   public double getZ();
}
